#
# Spec file for Red Hat Messaging package rhm.
#

%define qpidrev 0.5
%define svnrev 3206
%define svnrev_qpidd 752581
%define qpid_release 34

Name:           rhm
Version:        %{qpidrev}.%{svnrev}
Release:        27%{?dist}
Summary:        Red Hat persistence extension to the Qpid messaging system
Group:          System Environment/Libraries
License:        LGPL
URL:            http://rhm.et.redhat.com/
Source0:        %{name}-%{version}.tar.gz
Patch0:         mrg_1.2-el4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: i386 x86_64

BuildRequires: qpidd-devel == %{qpidrev}.%{svnrev_qpidd}-%{qpid_release}%{?dist}
BuildRequires: db4-devel
BuildRequires: libaio-devel
BuildRequires: python
BuildRequires: libtool

Requires: qpidd == %{qpidrev}.%{svnrev_qpidd}-%{qpid_release}%{?dist}
Requires: db4
Requires: libaio

%description
Red Hat persistence extension to the Qpid AMQP broker: persistent message storage
using a libaio-based asynchronous journal.

%prep
%setup -q
%patch0

%build
%configure --disable-static --disable-rpath CXXFLAGS="-O3 -DNDEBUG -I /usr/include/qpid-boost"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -d -m0775 %{buildroot}%{_localstatedir}/rhm
install -d -m0755 %{buildroot}%{_libdir}/qpid/daemon
rm -f %{buildroot}%_libdir/*.a
rm -f %{buildroot}%_libdir/*.la
rm -f %{buildroot}%_libdir/qpid/daemon/*.la
rm %{buildroot}%_sysconfdir/rhmd.conf

%clean
rm -rf %{buildroot}

%check
LANG=C make check

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/qpid/daemon/msgstore.so
%attr(0775,qpidd,qpidd) %dir %_localstatedir/rhm


%changelog
* Fri Nov 13 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-27
- Bugfix for 1.2 release. Rebased on qpid -34

* Tue Nov 10 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-26
- Bugfix for 1.2 release. Rebased on qpid -33

* Thu Nov 5 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-25
- Bugfix for 1.2 release. Based on qpid -32 (RHEL 4 only)

* Wed Nov 4 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-23
- Bugfix for 1.2 release. Rebased on qpid -32 (RHEL 4 only)

* Mon Nov 2 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-21
- Bugfix for 1.2 release. Rebased on qpid -31

* Fri Oct 30 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-20
- Bugfix for 1.2 release. Rebased on qpid -31

* Thu Oct 22 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-17
- Bugfix for 1.2 release. Rebased on qpid -30

* Tue Oct 20 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-15
- Bugfix for 1.2 release. Rebased on qpid -29

* Wed Oct 7 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-14
- Bugfix update for 1.2 release

* Wed Jul 9 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-9
- Correct build method using patches employed

* Wed Jul 8 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-5
- Rebuilt for qpid -25

* Wed Jun 24 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-4
- Rebuild against new qpidc

* Fri May 12 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-3
- Applied patch for hotfix

* Tue Mar 24 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-2
- Through finger trouble, checked in the RHEL5 source on last build. Corrected.

* Tue Mar 24 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3206-1
- Rebased to r.3206

* Wed Mar 11 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3153-1
- Rebased to r.3153

* Mon Mar 4 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3138-2
- Rebased to r.3138

* Mon Feb 16 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3116-3
- Built to qpidc r.744917

* Thu Feb 12 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3116-2
- Rebased to r.3116.

* Thu Feb 5 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3108-2
- Rebuild of r.3108.

* Thu Feb 5 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3108-1
- Rebased to r.3108.

* Wed Jan 28 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3075-3
- Rebuild because of bad tagging of qpidc

* Tue Jan 27 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3075-2
- Built to qpidc r.738274

* Tue Jan 27 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3075-1
- Rebased to r.3075

* Tue Jan 13 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3038-1
- Built to qpidc r.732838

* Fri Jan 9 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3036-2
- Built to qpidc r.732838

* Thu Jan 8 2009 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3036-1
- Rebased to r.3036

* Fri Dec 19 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.3030-1
- Rebased to r.3030

* Thu Dec 11 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.2970-1
- Rebased to r.2970

* Thu Dec 11 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.2964-4
- Corrected problem with qpidc version; built to qpidc r.725652

* Wed Dec 10 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.4.2964-1
- Rebuilt to svn rev 2964, version set to 0.4 to match qpidc

* Wed Dec 3 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.3.2913-1
- Rebuilt to svn rev 2913

* Mon Dec 1 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.3.2898-1
- Rebuilt to svn rev 2898

* Mon Dec 1 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.3.2897-1
- Rebuilt to svn rev 2897

* Fri Nov 21 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.3.2804-3
- Rebuilt against qpidc r.719671

* Fri Nov 21 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.3.2804-2
- Rebuilt against qpidc r.719552

* Fri Nov 14 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.3.2804-1
- Rebased to svn rev 2804

* Wed Nov 12 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.3.2788-1
- Changed to r.2788, qpidc rev to 713378

* Mon Nov 10 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.3.2759-2
- Changed qpidc rev to 712127

* Mon Nov 10 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.3.2759-1
- Rebased to svn r.2759

* Fri Oct 31 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.3.2694-1
- Fixed include path, updated version to 0.3 (to sync with qpid verion)

* Thu Oct 30 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2694-1
- Rebased to svn rev 2694

* Wed Oct 29 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2678-2
- Added compat-boost-1331 as a BuildRequires

* Tue Oct 28 2008 Nuno Santos <nsantos@redhat.com> - 0.2.2678-1
- Rebased to svn rev 2678

* Mon Sep 18 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2496-1
- Rebased to rev.2496

* Mon Aug 25 2008 Nuno Santos <nsantos@redhat.com> - 0.2.2353-1
- Rebased to rev.2353

* Thu Aug 14 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2311-1
- Rebased to rev2311

* Fri Jul 16 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2203-2
- Rebased to rev.2306

* Fri Jul 16 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2203-2
- corrected qpidd package dependency

* Fri Jul 16 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2203-1
- Rebased to rev.2203

* Tue Jul 15 2008 Nuno Santos <nsantos@redhat.com> - 0.2.2153-2
- Fix package URL

* Mon Jun 16 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2153-1
- Rebased to rev.2153
- Added qpidd rev no dependency

* Fri Jun 12 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2150-1
- Rebased to rev.2150

* Fri Jun 12 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2148-3
- Changed the installation mechanism for libs

* Fri Jun 11 2008 Justin Ross <jross@redhat.com> - 0.2.2148-2
- Use macros for the lib dir

* Fri Jun 10 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2148-1
- rebase to rev 2148
- imported nsantos' rhmd fixes

* Fri Jun 10 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2146-1
- rebase to rev 2146
- removed refs to dir /etc/rhmd

* Fri Jun 6 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2144-1
- rebase to rev 2144

* Wed Jun 4 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2131-1
- rebase to rev 2131

* Thu May 15 2008 Nuno Santos <nsantos@redhat.com> - 0.2.2055-1
- bumped for Beta 4

* Mon Apr 14 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2-20
- removed cppunit as build dependency - all tests now boost test

* Fri Apr 11 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2-19
- added python package as build dependency

* Tue Feb 12 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-17
- bump release for Beta 3 bug fixes

* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-15
- Bumped for Beta 3 update

* Tue Jan 22 2008 Nuno Santos <nsantos@redhat.com> - 0.2-14
- fix syntax in configuration file

* Thu Jan 21 2008 Gordon Sim <gsim@redhat.com> - 0.2-13
-  Bump release for various journal fixes.

* Thu Jan 03 2008 Nuno Santos <nsantos@redhat.com> - 0.2-11
- add missing dependencies on libaio, cppunit, qpidc-devel

* Thu Jan 03 2008 Nuno Santos <nsantos@redhat.com> - 0.2-6
- limit builds to i386 and x86_64 archs

* Tue Dec 18 2007 Nuno Santos <nsantos@redhat.com> - 0.2-5
- Include several fixes, mainly from Kim Van Der Riet (BZ 401071: Add journal
 file geometry parameters to broker, 401091: Handle journal full condition in
 broker, 401151: Journal RID not monotonically increasing in all cases, 
 401191: Journal recovery fails when overwrite boundary coincides with 
 previous record, 403051: Failures in perftest fanout mode with async 
 persistence, 403201: Messages prematurely deleted by store, 413021: Journal 
 recovery fails when flush did not occur and records don't end on sblk 
 boundary, 423981: Error running durable perftest)

* Thu Dec 06 2007 Alan Conway <aconway@redhat.com> - 0.2-4
- Build with optimized flags.

* Thu Oct 04 2007 Nuno Santos <nsantos@redhat.com> - 0.2-2
- Add rhmd init script

* Wed Jul 25 2007 Nuno Santos <nsantos@redhat.com> - 0.2-1
- Disable rpath; bump release to match numbers of qpidc trunk packages

* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.1-3
- Workaround missing BuildRequires: e2fsprogs-devel in qpidc-devel.

* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.1-2
- Added missing BuildRequires: db4-devel 

* Thu Apr 12 2007 Alan Conway <aconway@redhat.com> - 0.1-1
- Initial build.

